package com.mcwl.resource.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.resource.domain.MallProduct;
import com.mcwl.resource.domain.vo.MallProductVo;
import com.mcwl.resource.mapper.MallProductLikeMapper;
import com.mcwl.resource.service.MallProductLikeService;
import com.mcwl.resource.service.MallProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author DaiZibo
 * @date 2025/1/2
 * @apiNote
 */

@Service
public class MallProductLikeServiceImpl implements MallProductLikeService {

    @Autowired
    private MallProductLikeMapper mallProductLikeMapper;

    @Autowired
    private MallProductService mallProductService;

    @Override
    public Page<MallProduct> selectByUserLike(MallProductVo mallProductVo) {

        //获取登录人
        Long userId = SecurityUtils.getUserId();
        List<Long> list = mallProductLikeMapper.selectByUserId(userId);

        //分页查询作品数据
        return mallProductService.pageLike(mallProductVo,list);
    }
}
